# Evangelion Japanese Font Metric

## 简介  Some Information

`Eva-JFM`是一个为在LuaTeX-ja下使用行间标点、压缩字体等特性设计的JFM文件。其可用于简中、繁中、日文字体，充分利用priority特性（数据来源jlreq），支持直书，同时为繁体字体进行优化（如行末、与直角引号之间等）。

详细请看[简体中文文档](Eva-JFM_doc-sc.pdf)。

本项目已上传至[CTAN](https://www.ctan.org/pkg/evangelion-jfm)。

`Eva-JFM` is a JFM file which aims to support 'linegap puncutations', 'scaled font' and more features under LuaTeX-ja. It can be used with Traditional Chinese, Simplified Chinese and Japanese fonts, supporting vertical typesetting, making full-use of the `priority` feature, and added special support for Traditional Chinese font. It's based on jlreq, and insipered by `min10.tfm`. All its nine features are embeded into single file `jfm-eva.lua` to simplify the using.

For more datails please see the [English documentation](Eva-JFM_doc-en.pdf). 

The Japanese documentation is still in progress.

This package is also available on [CTAN](https://www.ctan.org/pkg/evangelion-jfm).

## 支持特性 Supported Features

- 行间标点 Linegap Punctuations

- 标点悬挂 Hanging Punctuations

- 简体中文 Simplified Chinese

- 繁体中文 Traditional Chinese

- 日本语 Japanese

- 直书 Vertical Typesetting

- 半宽西文 Half-width Alphabets

- 全宽西文 Full-width Alphabets

- 忽略标准 Non-standard

## 状态 Current Version

`Ver 1.0.2 (h)`

## 历史 Changelog

- 2023.4.15 Ver 1.0.2 (h): revised English doc and add reference.

- 2023.4.2 Ver 1.0.2 (g): typeset English document and revised both.

- 2023.3.19 Ver 1.0.2 (f): fix `extd_ratio` and add `end_adjust` for midp.

- 2023.3.18 Ver 1.0.2 (e): line-end adjust key fixed.

- 2023.3.15 Ver 1.0.2 (d): revised documentation.

- 2023.3.13 Ver 1.0.2 (c): entire documentation translated to English.

- 2023.3.12 Ver 1.0.2 (b): the English documentation (section 3).

- 2023.3.12 Ver 1.0.2 (a): the English documentation (section 1 & 2).

- 2023.3.6 Ver 1.0.1 (f): adjust kanjiskip after `lgp`.

- 2023.3.3 Ver 1.0.1 (e): fix `extd_ratio`.

- 2023.2.27 Ver 1.0.1 (d): fix `parbdd` and `boxbdd`.

- 2023.2.26 Ver 1.0.1 (c): users can now customize ratio for `extd` feature.

- 2023.2.26 Ver 1.0.1 (b): docstrip, updated documentation.

- 2023.2.25 Ver 1.0.1 (a): add feature `hwid` and `fwid`.

- 2023.2.24 Ver 1.0.0 (d): more `priority`, revised document.

- 2023.2.18 Ver 1.0.0 (c): fix bug and updated documentation, uploaded to ctan, and added feature `hanging punc`.

- 2023.2.11 Ver 1.0.0 (b): fixed feature `lgp` and added documentation.

- 2023.2.7 Ver 1.0.0 (a): initial version.

## Copyright
This project is under MIT License.

Author: RadioNoiseE, 黄京.

Email Addr: j18516785606@icloud.com.
